// 巡防装备管理
import request from "@/utils/request";
// const api = "/mosty-jcgl";
const api = "/mosty-api/mosty-jcgl";
// 查询装备树
export function getTree(data = '') {
  return request({
    url: api + `/tpJcglZbfl/zbTree/?scode=${data}`,
    method: 'get'
  })
}
//查询装备列表
export function getZbfllist(params) {
  return request({
    url: api + '/tpJcglZbfl/selectLxList',
    method: 'get',
    params
  })
}
//新增装备类型
export function addTpjcglzbfl(data) {
  return request({
    url: api + '/tpJcglZbfl/{addZbfl}',
    method: "post",
    data
  })
}
//修改
export function upZbfl(data) {
  return request({
    url: api + '/tpJcglZbfl/{editZbfl}',
    method: "put",
    data
  })
}
//删除
export function delZbfl(ids) {
  return request({
    url: api + '/tpJcglZbfl/deleteZbfl',
    method: 'post',
    data: ids
  })
}
//详情
export function infoZbfl(id) {
  return request({
    url: api + '/tpjcglZnzb/selectZbxq?id=' + id,
    method: 'get'
  })
}
